## libkf5pimcommon 16.04.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(pimcommon)

find_package(ECM 5.19.0 CONFIG REQUIRED)
set(LIBRARY_NAMELINK)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMInstallIcons)

set(PIMCOMMON_LIB_VERSION "5.2.2")
set(KF5_VERSION "5.19.0")
set(KDEPIMLIBS_LIB_VERSION "5.2.0")
set(LIBKDEPIM_LIB_VERSION "5.2.0")
set(QT_REQUIRED_VERSION "5.4.0")
set(KMIME_LIB_VERSION "5.2.0")
set(KIMAP_LIB_VERSION "5.2.0")
set(KCONTACTS_LIB_VERSION "5.2.0")
set(KPIMTEXTEDIT_LIB_VERSION "5.2.0")
set(AKONADI_VERSION "5.2.0")

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test UiTools Network WebKitWidgets Script)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Sonnet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(Grantlee5 "5.0" CONFIG REQUIRED)

find_package(Qt5Designer CONFIG)
set_package_properties(Qt5Designer PROPERTIES
    PURPOSE "Required to build the Qt Designer plugins"
    TYPE OPTIONAL
    )



ecm_setup_version(${PIMCOMMON_LIB_VERSION} VARIABLE_PREFIX PIMCOMMON
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfigVersion.cmake"
    SOVERSION 5
    )

find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PimCommon")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PimCommonConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5PimCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PimCommonTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )


add_subdirectory(src)
install( FILES pimcommon.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/shareserviceurl/autotests/CMakeLists.txt ===
ecm_add_test(shareserviceurlmanagertest.cpp
    NAME_PREFIX "pimcommon-shareserviceurl-"
    LINK_LIBRARIES Qt5::Test KF5::PimCommon
)

=== src/storageservice/box/tests/CMakeLists.txt ===
set(box_gui_SRCS box_gui.cpp ../../tests/servicetestwidget.cpp ../../tests/testsettingsjob.cpp)
add_executable(box_gui ${box_gui_SRCS})
target_link_libraries(box_gui
  KF5::KIOCore
  KF5::PimCommon
)

=== src/storageservice/yousendit/tests/CMakeLists.txt ===
set(yousendit_gui_SRCS yousendit_gui.cpp ../../tests/servicetestwidget.cpp ../../tests/testsettingsjob.cpp)
add_executable(yousendit_gui ${yousendit_gui_SRCS})
target_link_libraries(yousendit_gui
  KF5::KIOCore
  KF5::PimCommon
)

=== debian/changelog ===
libkf5pimcommon (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 23:50:24 +0200

libkf5pimcommon (4:16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 19:52:25 +0200

libkf5pimcommon (4:16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release.
  * Inject plugins dependency through the symbols file
  * Add missing breaks/replaces
  * Update the acc test
  * Add dependencies to the dev package that are in the cmake files
  * Update adt testsuite

  [ Automatic packaging ]
  * Update symbols files

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jun 2016 19:09:17 +0200

=== debian/control ===
Source: libkf5pimcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadicontact-dev (>= 5.2.0~),
               libkf5akonadimime-dev (>= 5.2.0~),
               libkf5archive-dev (>= 5.19.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 5.2.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5imap-dev (>= 5.2.0~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5mime-dev (>= 5.2.0~),
               libkf5newstuff-dev (>= 5.19.0~),
               libkf5pimtextedit-dev (>= 5.2.0~),
               libkf5sonnet-dev (>= 5.19.0~),
               libkf5textwidgets-dev (>= 5.19.0~),
               libkf5wallet-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qtscript5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/pimcommon.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/pimcommon.git

Package: libkf5pimcommon5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkf5pimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: storageservicemanager (<= 4:16.04)
Replaces: storageservicemanager (<= 4:16.04)
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libkf5pimcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: Common library for KDE PIM - plugins
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the plugins distributed with the library.

Package: libkf5pimcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5akonadicontact-dev (>= 5.2.0~),
         libkf5config-dev (>= 5.19.0~),
         libkf5contacts-dev (>= 5.2.0~),
         libkf5imap-dev (>= 5.2.0~),
         libkf5pimcommon5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 5.2.0~),
         libkf5textwidgets-dev (>= 5.19.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

## libkf5pimcommon 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 include(ECMAddTests)
 include(ECMInstallIcons)
 
-set(PIMCOMMON_LIB_VERSION "5.2.2")
+set(PIMCOMMON_LIB_VERSION "5.2.3")
 set(KF5_VERSION "5.19.0")
 set(KDEPIMLIBS_LIB_VERSION "5.2.0")
 set(LIBKDEPIM_LIB_VERSION "5.2.0")

=== debian/changelog ===
libkf5pimcommon (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  ** SNAPSHOT build @8c579554ee70c7742079f725cf4ba2ead93f2393 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @cbaf86e9e443a3ef0469738b91e61ba59e7c0789 **

  * Initial release.
  * Inject plugins dependency through the symbols file
  * Add missing breaks/replaces
  * Update the acc test
  * Add dependencies to the dev package that are in the cmake files

  [ Automatic packaging ]
  * Update symbols files

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian, for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:40:07 +0200

=== debian/control ===
Source: libkf5pimcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5akonadicontact-dev (>= 4:16.04.3~),
               libkf5akonadimime-dev (>= 4:16.04.3~),
               libkf5archive-dev (>= 5.24.0~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5contacts-dev (>= 4:16.04.3~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5imap-dev (>= 16.04.3~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5libkdepim-dev (>= 4:16.04.3~),
               libkf5mime-dev (>= 16.04.3~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5pimtextedit-dev (>= 16.04.3~),
               libkf5sonnet-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5wallet-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon

Package: libkf5pimcommon5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkf5pimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: storageservicemanager (<= 4:16.04)
Replaces: storageservicemanager (<= 4:16.04)
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libkf5pimcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: Common library for KDE PIM - plugins
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the plugins distributed with the library.

Package: libkf5pimcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:16.04.3~),
         libkf5akonadicontact-dev (>= 4:16.04.3~),
         libkf5config-dev (>= 5.19.0~),
         libkf5contacts-dev (>= 4:16.04.3~),
         libkf5imap-dev (>= 16.04.3~),
         libkf5pimcommon5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.19.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

## libkf5pimcommon 17.04.3

=== debian/changelog ===
libkf5pimcommon (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Add new package for libkf5pimcommonakonadi5 and add new dev files to
    libkf5pimcommon-dev

  [ Rik Mills ]
  * Bump soname with debianabimanager due to binary incompatible
    changes: libkf5pimcommon5abi1 -> libkf5pimcommon5abi2

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh add_debian_abi_manager.diff
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:51 +0100

libkf5pimcommon (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Rename libkf5pimcommon5 -> libkf5pimcommon5abi1 and use the debian abi
    manager due to binary incompatible changes.
  * Fix the acc autopkgtests adding libkf5pimtextedit-dev to
    libkf5pimcommon-dev depends.
  * New upstream release (16.12.3)

  [ Clive Johnston ]
  * Fix install file

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:28 +0100

=== debian/control ===
Source: libkf5pimcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadicontact-dev (>= 4:17.04.3~),
               libkf5akonadimime-dev (>= 4:17.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5imap-dev (>= 17.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 17.04.3~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon

Package: libkf5pimcommon5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5PimCommon
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkf5pimcommonakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.

Package: libkf5pimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: storageservicemanager (<= 4:16.04), ${kde-l10n:all}
Replaces: storageservicemanager (<= 4:16.04), ${kde-l10n:all}
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libkf5pimcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: Common library for KDE PIM - plugins
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the plugins distributed with the library.

Package: libkf5pimcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5akonadicontact-dev (>= 4:17.04.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5contacts-dev (>= 4:17.04.3~),
         libkf5imap-dev (>= 17.04.3~),
         libkf5pimcommon5abi2 (= ${binary:Version}),
         libkf5pimcommonakonadi5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 17.04.3~),
         libkf5textwidgets-dev (>= 5.31.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

## libkf5pimcommon 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.3")

project(pimcommon VERSION ${PIM_VERSION})

set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(LIBRARY_NAMELINK)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMCoverageOption)



set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "5.7.3")
set(LIBKDEPIM_LIB_VERSION "5.7.3")
set(QT_REQUIRED_VERSION "5.8.0")
set(KMIME_LIB_VERSION "5.7.3")
set(KIMAP_LIB_VERSION "5.7.3")
set(KCONTACTS_LIB_VERSION "5.7.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
set(AKONADI_VERSION "5.7.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Network Test Xml PrintSupport)

find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5JobWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(Grantlee5 "5.1" CONFIG REQUIRED)

find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG)
set_package_properties(KF5DesignerPlugin PROPERTIES DESCRIPTION "KF5 designer plugin" TYPE OPTIONAL)

find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

if(BUILD_TESTING)
   find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_subdirectory(src)
install( FILES pimcommon.renamecategories pimcommon.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libpimcommon\")

add_subdirectory(pimcommon)
add_subdirectory(pimcommonakonadi)

=== src/pimcommon/CMakeLists.txt ===

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PimCommon")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PimCommonConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )


ecm_setup_version(PROJECT VARIABLE_PREFIX PIMCOMMON
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfigVersion.cmake"
    SOVERSION 5
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5PimCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PimCommonTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )


set(libpimcommon_sieve_SRCS
    sievehighlighter/sievesyntaxhighlighterutil.cpp
    )

set(libpimcommon_autocorrection_SRCS
    autocorrection/autocorrection.cpp
    autocorrection/autocorrectionwidget.cpp
    autocorrection/autocorrectionlistwidget.cpp
    autocorrection/autocorrectiontreewidget.cpp
    autocorrection/autocorrectionlanguage.cpp
    autocorrection/import/importlibreofficeautocorrection.cpp
    autocorrection/import/importkmailautocorrection.cpp
    autocorrection/import/importabstractautocorrection.cpp
    autocorrection/widgets/lineeditwithautocorrection.cpp
    autocorrection/widgets/richtexteditwithautocorrection.cpp
    )

set(libpimcommon_generericplugin_SRCS
    genericplugins/pluginutil.cpp
    genericplugins/genericpluginmanager.cpp
    genericplugins/genericplugin.cpp
    genericplugins/abstractgenericplugin.cpp
    genericplugins/abstractgenericplugininterface.cpp
    )


set(libpimcommon_configure_plugins_SRCS
    configureplugins/configurepluginslistwidget.cpp
    configureplugins/configurepluginswidget.cpp
    configureplugins/configureplugindialog.cpp
    )

set(libpimcommon_translator_SRCS
    translator/translatorutil.cpp
    translator/translatorwidget.cpp
    translator/translatordebugdialog.cpp
    translator/googletranslator.cpp
    )

set(libpimcommon_templatewidgets_SRCS
    templatewidgets/templatelistwidget.cpp
    templatewidgets/templateeditdialog.cpp
    templatewidgets/templatemanager.cpp
    )


set(libpimcommon_widgets_SRCS
    widgets/minimumcombobox.cpp
    widgets/renamefiledialog.cpp
    widgets/simplestringlisteditor.cpp
    widgets/customtreeview.cpp
    widgets/configureimmutablewidgetutils.cpp
    widgets/kactionmenuchangecase.cpp
    widgets/spellchecklineedit.cpp
    widgets/kpimprintpreviewdialog.cpp
    widgets/lineeditwithcompleterng.cpp
    )

set(libpimcommon_customtools_SRCS
    customtools/customtoolsplugin.cpp
    customtools/customtoolspluginmanager.cpp
    customtools/customtoolswidgetng.cpp
    customtools/customtoolsviewinterface.cpp
    )

set(libpimcommon_util_SRCS
    util/pimutil.cpp
    util/networkutil.cpp
    )

set(libpimcommon_migrate_SRCS
    migration/migrateapplicationfiles.cpp
    migration/migratefileinfo.cpp
    )

set(libpimcommon_shareserviceurl_SRCS
    shareserviceurl/shareserviceurlmanager.cpp
    )

set(libpimcommon_logactivities_SRCS
    logactivities/logactivitiesmanager.cpp
    logactivities/logactivitiesdialog.cpp
    logactivities/logactivitieswidget.cpp
    )


set(libpimcommon_genericgrantlee_SRCS
    genericgrantlee/genericgrantleeformatter.cpp
    )

set(libpimcommon_networkmanager_SRCS
    network/networkmanager.cpp
    )

set(libpimcommon_SRCS
    settings/pimcommonsettings.cpp
    ${libpimcommon_configure_plugins_SRCS}
    ${libpimcommon_networkmanager_SRCS}
    ${libpimcommon_configure_plugins_SRCS}
    ${libpimcommon_genericgrantlee_SRCS}
    ${libpimcommon_shareserviceurl_SRCS}
    ${libpimcommon_migrate_SRCS}
    ${libpimcommon_util_SRCS}
    ${libpimcommon_texteditor_SRCS}
    ${libpimcommon_storageservice_SRCS}
    ${libpimcommon_autocorrection_SRCS}
    ${libpimcommon_translator_SRCS}
    ${libpimcommon_templatewidgets_SRCS}
    ${libpimcommon_sieve_SRCS}
    ${libpimcommon_widgets_SRCS}
    ${libpimcommon_customtools_SRCS}
    ${libpimcommon_logactivities_SRCS}
    ${libpimcommon_generericplugin_SRCS}
    )
qt5_add_resources(libpimcommon_SRCS widgets/icons.qrc)
ecm_qt_declare_logging_category(libpimcommon_SRCS HEADER pimcommon_debug.h IDENTIFIER PIMCOMMON_LOG CATEGORY_NAME org.kde.pim.pimcommon)

ki18n_wrap_ui(libpimcommon_SRCS
    autocorrection/ui/autocorrectionwidget.ui
    )

macro(add_resource_iface _kcfgFile _ifaceName _className _fileName)
    kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
    set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml PROPERTIES INCLUDE "pimcommon/metatype.h")
    qt5_add_dbus_interface(libpimcommon_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_fileName} ${_className}
        )
endmacro()

add_resource_iface(util/imapresource.kcfg org.kde.Akonadi.Imap.Settings ImapSettings imapresourcesettings)

kconfig_add_kcfg_files(libpimcommon_SRCS
    settings/pimcommonsetting_base.kcfgc
    )

add_library(KF5PimCommon ${libpimcommon_SRCS})
generate_export_header(KF5PimCommon BASE_NAME pimcommon)
add_library(KF5::PimCommon ALIAS KF5PimCommon)


if ( Qt5TextToSpeech_FOUND ) 
    target_link_libraries(KF5PimCommon
        PRIVATE Qt5::TextToSpeech
        )
endif()

target_link_libraries(KF5PimCommon
    PUBLIC
    Qt5::Network
    KF5::KIOCore
    KF5::ConfigWidgets
    PRIVATE
    KF5::I18n
    KF5::Libkdepim
    KF5::Archive
    KF5::NewStuff
    KF5::PimTextEdit
    KF5::XmlGui
    KF5::PimTextEdit
    KF5::IconThemes
    KF5::Completion
    KF5::KIOWidgets
    Qt5::PrintSupport
    Grantlee5::Templates
    )

target_include_directories(KF5PimCommon INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/PimCommon/;${KDE_INSTALL_INCLUDEDIR_KF5}/pimcommon>")

target_include_directories(KF5PimCommon PUBLIC "$<BUILD_INTERFACE:${pimcommon_SOURCE_DIR}/src;${pimcommon_BINARY_DIR}/src>")

set_target_properties(KF5PimCommon PROPERTIES
    VERSION ${PIMCOMMON_VERSION_STRING}
    SOVERSION ${PIMCOMMON_SOVERSION}
    EXPORT_NAME PimCommon
    )

install(TARGETS
    KF5PimCommon
    EXPORT KF5PimCommonTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}  ${LIBRARY_NAMELINK}
    )

if (BUILD_TESTING)
    add_subdirectory(translator/autotests)
    add_subdirectory(autocorrection/autotests)
    add_subdirectory(widgets/autotests)
    add_subdirectory(migration/autotests)
    add_subdirectory(util/autotests)
    add_subdirectory(shareserviceurl/autotests)
    add_subdirectory(translator/tests)
    add_subdirectory(widgets/tests)
    add_subdirectory(autocorrection/tests)
    add_subdirectory(customtools/autotests)
    add_subdirectory(autotests)
    add_subdirectory(logactivities/autotests)
    add_subdirectory(logactivities/tests)
    add_subdirectory(configureplugins/autotests)
    add_subdirectory(genericplugins/autotests)
endif()

ecm_generate_headers(PimCommon_CamelCasegenericplugins_HEADERS
    HEADER_NAMES
    PluginUtil
    GenericPluginManager
    GenericPlugin
    AbstractGenericPlugin
    AbstractGenericPluginInterface
    REQUIRED_HEADERS PimCommon_genericplugins_HEADERS
    PREFIX PimCommon
    RELATIVE genericplugins
    )

ecm_generate_headers(PimCommon_CamelCasegenericgrantlee_HEADERS
    HEADER_NAMES
    GenericGrantleeFormatter
    REQUIRED_HEADERS PimCommon_genericgrantlee_HEADERS
    PREFIX PimCommon
    RELATIVE genericgrantlee
    )

ecm_generate_headers(PimCommon_CamelCasenetworkmanager_HEADERS
    HEADER_NAMES
    NetworkManager
    REQUIRED_HEADERS PimCommon_networkmanager_HEADERS
    PREFIX PimCommon
    RELATIVE network
    )

ecm_generate_headers(PimCommon_CamelCase_HEADERS
    HEADER_NAMES
    PimUtil
    NetworkUtil
    MetaType
    REQUIRED_HEADERS PimCommon_HEADERS
    PREFIX PimCommon
    RELATIVE util
    )

ecm_generate_headers(PimCommon_Camelcasesettings_HEADERS
    HEADER_NAMES
    PimCommonSettings
    REQUIRED_HEADERS PimCommon_settings_HEADERS
    PREFIX PimCommon
    RELATIVE settings
    )

ecm_generate_headers(PimCommon_Camelcaselogactivities_HEADERS
    HEADER_NAMES
    LogActivitiesManager
    REQUIRED_HEADERS PimCommon_logactivities_HEADERS
    PREFIX PimCommon
    RELATIVE logactivities
    )

ecm_generate_headers(PimCommon_Camelcaseshareserviceurl_HEADERS
    HEADER_NAMES
    ShareServiceUrlManager
    REQUIRED_HEADERS PimCommon_shareserviceurl_HEADERS
    PREFIX PimCommon
    RELATIVE shareserviceurl
    )

ecm_generate_headers(PimCommon_Camelcasetranslator_HEADERS
    HEADER_NAMES
    TranslatorWidget
    REQUIRED_HEADERS PimCommon_translator_HEADERS
    PREFIX PimCommon
    RELATIVE translator
    )

ecm_generate_headers(PimCommon_Camelcasecustomtools_HEADERS
    HEADER_NAMES
    CustomToolsWidgetng
    CustomToolsPlugin
    CustomToolsViewInterface
    REQUIRED_HEADERS PimCommon_customtools_HEADERS
    PREFIX PimCommon
    RELATIVE customtools
    )

ecm_generate_headers(PimCommon_Camelcasesievehighlighter_HEADERS
    HEADER_NAMES
    SieveSyntaxHighlighterUtil
    REQUIRED_HEADERS PimCommon_sievehighlighter_HEADERS
    PREFIX PimCommon
    RELATIVE sievehighlighter
    )


ecm_generate_headers(PimCommon_Camelcasemigrate_HEADERS
    HEADER_NAMES
    MigrateApplicationFiles
    MigrateFileInfo
    REQUIRED_HEADERS PimCommon_migrate_HEADERS
    PREFIX PimCommon
    RELATIVE migration
    )

ecm_generate_headers(PimCommon_Camelcaseautocorrectionwidgets_HEADERS
    HEADER_NAMES
    RichTexteditWithAutoCorrection
    LineEditWithAutoCorrection
    REQUIRED_HEADERS PimCommon_autocorrectionwidgets_HEADERS
    PREFIX PimCommon
    RELATIVE autocorrection/widgets/
    )

ecm_generate_headers(PimCommon_Camelcaseautocorrection_HEADERS
    HEADER_NAMES
    AutoCorrectionWidget
    AutoCorrectionLanguage
    AutoCorrection
    REQUIRED_HEADERS PimCommon_autocorrection_HEADERS
    PREFIX PimCommon
    RELATIVE autocorrection/
    )

ecm_generate_headers(PimCommon_Camelcasetemplatelist_HEADERS
    HEADER_NAMES
    TemplateListWidget
    TemplateManager
    REQUIRED_HEADERS PimCommon_templatelist_HEADERS
    PREFIX PimCommon
    RELATIVE templatewidgets
    )


ecm_generate_headers(PimCommon_Camelcasewidgets_HEADERS
    HEADER_NAMES
    CustomTreeView
    SpellCheckLineEdit
    MinimumComboBox
    ConfigureImmutableWidgetUtils
    RenameFileDialog
    SimpleStringListEditor
    KActionMenuChangeCase
    KPimPrintPreviewDialog
    LineEditWithCompleterNg
    REQUIRED_HEADERS PimCommon_widgets_HEADERS
    PREFIX PimCommon
    RELATIVE widgets
    )

ecm_generate_headers(PimCommon_Camelcaseconfigureplugins_HEADERS
    HEADER_NAMES
    ConfigurePluginsListWidget
    ConfigurePluginsWidget
    ConfigurePluginDialog
    REQUIRED_HEADERS PimCommon_configureplugins_HEADERS
    PREFIX PimCommon
    RELATIVE configureplugins
    )
ecm_generate_pri_file(BASE_NAME PimCommon
    LIB_NAME KF5PimCommon
    DEPS "Network KIOCore ConfigWidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/PimCommon
    )


install(FILES
    ${PimCommon_Camelcaseconfigureplugins_HEADERS}
    ${PimCommon_CamelCasegenericplugins_HEADERS}
    ${PimCommon_Camelcaselogactivities_HEADERS}
    ${PimCommon_CamelCasenetworkmanager_HEADERS}
    ${PimCommon_CamelCase_HEADERS}
    ${PimCommon_CamelCasegenericgrantlee_HEADERS}
    ${PimCommon_CamelCasejob_HEADERS}
    ${PimCommon_Camelcaseautocorrection_HEADERS}
    ${PimCommon_Camelcaseautocorrectionwidgets_HEADERS}
    ${PimCommon_Camelcasecustomtools_HEADERS}
    ${PimCommon_Camelcasemanagerserversidesubscription_HEADERS}
    ${PimCommon_Camelcasemigrate_HEADERS}
    ${PimCommon_Camelcaseplaintexteditor_HEADERS}

=== src/pimcommon/customtools/autotests/CMakeLists.txt ===
ecm_add_test(customtoolswidgetngtest.cpp
    TEST_NAME customtoolswidgetngtest
    NAME_PREFIX pimcommon-
    LINK_LIBRARIES Qt5::Test Qt5::Gui KF5::PimCommon KF5::XmlGui
)

=== src/pimcommon/migration/autotests/CMakeLists.txt ===
add_definitions(-DMIGRATION_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

macro(add_pimcommon_migration_unittest _source)
    ecm_add_test(${_source}
        NAME_PREFIX "pimcommon-migration-"
        LINK_LIBRARIES Qt5::Test KF5::CoreAddons KF5::ConfigCore KF5::PimCommon
    )
endmacro()

add_pimcommon_migration_unittest(migrateapplicationfilestest.cpp)
add_pimcommon_migration_unittest(migratefileinfotest.cpp)

=== src/pimcommon/translator/tests/CMakeLists.txt ===
set(translator_gui_SRCS translator_gui.cpp)
add_executable(translator_gui ${translator_gui_SRCS})
target_link_libraries(translator_gui
  KF5::PimCommon KF5::PimTextEdit KF5::I18n
)

=== debian/changelog ===
libkf5pimcommon (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:27 +0000

libkf5pimcommon (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Disable autocorrection test which has been failing on KDE CI since
    Novemeber 2017

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 01 Mar 2018 15:41:43 +0000

libkf5pimcommon (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Bump soname with debianabimanager due to binary incompatible
    changes: libkf5pimcommon5abi2 -> libkf5pimcommon5abi3
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:46:19 +0000

libkf5pimcommon (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * New upstream release (17.08.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:14:01 +0000

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 17.04.3~),
+               libkf5imap-dev (>= 17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
@@ -40,8 +41,8 @@
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
 
-Package: libkf5pimcommon5abi2
-X-Debian-ABI: 2
+Package: libkf5pimcommon5abi3
+X-Debian-ABI: 3
 X-CMake-Target: KF5PimCommon
 Architecture: any
 Multi-Arch: same
@@ -90,14 +91,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
-         libkf5akonadicontact-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+         libkf5akonadicontact-dev (>= 4:17.12.3~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5contacts-dev (>= 4:17.04.3~),
-         libkf5imap-dev (>= 17.04.3~),
-         libkf5pimcommon5abi2 (= ${binary:Version}),
+         libkf5contacts-dev (>= 4:17.12.3~),
+         libkf5imap-dev (>= 17.12.3~),
+         libkf5pimcommon5abi3 (= ${binary:Version}),
          libkf5pimcommonakonadi5 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 17.04.3~),
+         libkf5pimtextedit-dev (>= 17.12.3~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libgl1-mesa-dri
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## libkf5pimcommon 18.04.3

=== debian/changelog ===
libkf5pimcommon (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Disable acc header test.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 26 Aug 2018 10:01:03 +0100

libkf5pimcommon (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Update symbols from build logs
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:55:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 17.12.3~),
+               libkf5imap-dev (>= 18.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
@@ -35,7 +35,7 @@
                qtscript5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
                qtwebengine5-dev (>= 5.6.1~),
-               xsltproc
+               xsltproc,
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
@@ -91,17 +91,17 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
-         libkf5akonadicontact-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
+         libkf5akonadicontact-dev (>= 4:18.04.3~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5contacts-dev (>= 4:17.12.3~),
-         libkf5imap-dev (>= 17.12.3~),
+         libkf5contacts-dev (>= 4:18.04.3~),
+         libkf5imap-dev (>= 18.04.3~),
          libkf5pimcommon5abi3 (= ${binary:Version}),
          libkf5pimcommonakonadi5 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 17.12.3~),
+         libkf5pimtextedit-dev (>= 18.04.3~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Common library for KDE PIM - devel files
  This library provides the common parts used across different KDE PIM
  components.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libgl1-mesa-dri
Restrictions: build-needed

#Tests: acc
#Depends: @,
#         dh-acc, exuberant-ctags
#Restrictions: allow-stderr
